=== debian/changelog ===
hak5-wifi-coconut (1.1.0-0kali2) kali-dev; urgency=medium

  [ Steev Klimaszewski ]
  * Add superficial test
  * Update Maintainer field
  * Update Vcs-* fields
  * Add GitLab's CI configuration file
  * Configure git-buildpackage for Kali
  * Add Uploaders
  * Set upstream metadata fields Repository, Repository-Browse.
  * Add hardening flag
  * We don't need to set hardening flags
  * Add patch to deal with debug and fortifying sources
  * Fix firmware licensing in d/copyright
  * Add bindnow hardening flag

  [ Arnaud Rebillout ]
  * Update dependency: firmware-misc-nonfree -> firmware-mediatek

 -- Arnaud Rebillout <arnaudr@kali.org>  Tue, 24 Sep 2024 20:57:51 +0700

hak5-wifi-coconut (1.1.0-0kali1) kali-dev; urgency=medium

  * Initial release

 -- Steev Klimaszewski <steev@kali.org>  Tue, 08 Nov 2022 14:42:02 -0600
