=== debian/control ===
Source: hak5-wifi-coconut
Section: misc
Priority: optional
Maintainer: Kali Developers <devel@kali.org>
Uploaders:
 Steev Klimaszewski <steev@kali.org>,
Build-Depends:
 cmake,
 debhelper-compat (= 13),
 dh-cmake,
 libusb-1.0-0-dev,
 pkgconf,
Standards-Version: 4.6.1
Homepage: https://hak5.org
Vcs-Browser: https://gitlab.com/kalilinux/packages/hak5-wifi-coconut
Vcs-Git: https://gitlab.com/kalilinux/packages/hak5-wifi-coconut.git
Rules-Requires-Root: no

Package: hak5-wifi-coconut
Architecture: any
Depends:
 firmware-mediatek,
 ${misc:Depends},
 ${shlibs:Depends},
Description: Userspace driver for the Hak5 Wi-Fi Coconut
 Userspace drive for USB Wi-Fi NICs and the Hak5 Wi-Fi Coconut
