=== debian/tests/control ===
Test-Command: wifi_coconut -h
Restrictions: superficial
