=== debian/watch ===
version=4

opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/hak5-wifi-coconut-$1\.tar\.gz/ \
  https://github.com/hak5/hak5-wifi-coconut/tags .*/v?(\d\S*)\.tar\.gz
